Client.py(1)

NAME
Client.py - the bub-n-bros client

SYNOPSIS
python Client.py [ options ] [host[:port]]

Note that this script is in the display/ subdirectory of the original directory layout.

DESCRIPTION
This is the bub-n-bros client that connects to bub-n-bros servers started with bb.py(1) or BubBob.py(1). It supports many different audio and video drivers and is very multi-platform.

OPTIONS

host
    Search for a game on the given machine, and connect to one if found. If this is not defined, search for servers on the local network.

host:port
    Connect to server running on given port on given host. If this is not defined, search for servers on the local network.

--bits=N
    This option concerns only the windows audio driver. Set bits per sample. Valid values are 8 and 16 (default).

-d DRIVER, --display=DRIVER
    Use video driver DRIVER. Valid drivers are:

    X   X Window driver for Linux and Unix systems with an X server running. See the --shm option.

    windows
        MS Windows driver.

    pygame
        PyGame gaming library for python (if installed) has video output. Use it if this is specified. See http://www.pygame.org and the --transparency option.

    gtk Use the PyGTK library (if installed). See http://www.pygtk.org/ and the --zoom option.

-h, --help
    Display help.

--fmt=format
    This option concerns only the linux audio driver. Set the sound data format. Defaults to S16_NE. You can get a list of supported formats with --fmt=list.

--freq=N
    This option concerns only the linux and windows audio drivers. Set mixing frequency to N (in Hz). Defaults to 44100.

-m, --metaserver
    Connect with the help of the Metaserver (see bb.py(1) for more info). Run Client.py -m to print a table of currently running servers, pick the the exact IP address and port of the server of your choice from the table, and run again Client.py -m host:port.

--port TCP=port
    In conjunction with the -m option, force a specific port on which to listen for an incoming TCP connexion from the remote server. This is only used if a direct connexion to the server fails. A random port number is picked by default. This option is useful if you are behind a firewall but can let TCP connexions on specific ports reach you.

--port UDP=port
    Force a specific port on which to listen for incoming UDP traffic (animation data). Useful if you are behind a firewall but can let UDP traffic on a given port pass through. This is optional: animation data is routed over the TCP link if it does not appear to reach the client. A random port number is picked by default.

-s DRIVER, --sound=DRIVER
    Use driver DRIVER for audio. Valid drivers are:

    pygame
        Use the audio capabilities of the PyGame library (http://www.pygame.org).

    linux
        Use the linux audio mixer. See the --freq and --fmt options.

    windows
        Use the Windows audio mixer. See the --freq and --bitsoptions.

    off No sounds.

--shm=yes, --shm=no
    This option concerns only the X display driver. Disable or enable the shm (Shared Memory) extension. It is enabled by default and should only be disabled for remote X connections and old X servers.

-t  Use the TCP protocol. The default is to autodetect the protocol. See the -u option.

--transparency=yes, --transparency=no
    This option concerns only the pygame display driver. Disable or enable transparent bubbles. Enabled by default. Disabling makes game a bit faster.

-u  Use the UDP protocol. The default is to autodetect the protocol. See the -t option.

--zoom=N%
    This option concerns only the gtk display driver. Scale output by N%.

SEE ALSO
bb.py(1) Client.py(1) python(1)